class EventsController < ApplicationController
  # GET /events
  # GET /events.json
  def index
    #@events = Event.all
    event1 = Event.new
    event1.eventtime = Time.now + 1.week
    event1.description = "Holyday"
    event1.oddstrue = 1.1
    event1.oddsfalse = 9.0
    
    event2 = Event.new
    event2.eventtime = Time.now + 2.weeks
    event2.description = "Test"
    event2.oddstrue = 8.3
    event2.oddsfalse = 1.1
    
    @events = [ event1, event2 ]

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @events }
    end
  end

  # GET /events/1
  # GET /events/1.json
  def show
    #@event = Event.find(params[:id])
    @event = Event.new
    @event.eventtime = Time.now + 1.week
    @event.description = "Holyday"
    @event.oddstrue = 1.1
    @event.oddsfalse = 9.0

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @event }
    end
  end

  # GET /events/new
  # GET /events/new.json
  def new
    @event = Event.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @event }
    end
  end

  # GET /events/1/edit
  def edit
    #@event = Event.find(params[:id])
    @event = Event.new
    @event.eventtime = Time.now + 1.week
    @event.description = "Holyday"
    @event.oddstrue = 1.1
    @event.oddsfalse = 9.0
  end

  # POST /events
  # POST /events.json
  def create
    @event = Event.new(params[:event])

    respond_to do |format|
      if @event.save
        format.html { redirect_to @event, notice: 'Event was successfully created.' }
        format.json { render json: @event, status: :created, location: @event }
      else
        format.html { render action: "new" }
        format.json { render json: @event.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /events/1
  # PUT /events/1.json
  def update
    @event = Event.find(params[:id])

    respond_to do |format|
      if @event.update_attributes(params[:event])
        format.html { redirect_to @event, notice: 'Event was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render action: "edit" }
        format.json { render json: @event.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /events/1
  # DELETE /events/1.json
  def destroy
    @event = Event.find(params[:id])
    @event.destroy

    respond_to do |format|
      format.html { redirect_to events_url }
      format.json { head :no_content }
    end
  end
end
